BooleEnv.cc File Reference
`#include <polybori/BooleEnv.h>`
`#include <polybori/BoolePolyRing.h>`
`#include <polybori/orderings/COrderingBase.h>`

## Namespaces

| polybori

## Constant Groups

| polybori

## Functions

BooleEnv::block_iterator | polybori::block_begin (const BooleEnv::ring_type &ring)
| please use BooleEnv::ring() More...
BooleEnv::block_iterator | polybori::block_end (const BooleEnv::ring_type &ring)
| Extract block data without exposing ordering stuff. More...

## Detailed Description

Author
  Alexander Dreyer

Date
  2006-03-06

This file implements the class BooleEnv, which hold global structures. a polynomial ring over Booleans.

Copyright:
  (c) 2007 by The PolyBoRi Team